<?php
    require '../conection/conection.php';
    include './header.php';

    $sql = "SELECT num_factura FROM venta_productos";
    $numFactura = mysqli_query($conection, $sql);
    foreach ($numFactura as $factura) {
        $maxNumFactura = $factura['num_factura'];
    }
    $maxNumFactura += 1;
    
    $sql2 = "SELECT * FROM productos";
    $productos = mysqli_query($conection, $sql2);
?>

<div class="container mt-5">
<form action="../controller/comprobar_venta.php" method="get">

    <div class="mb-3">
        <label for="fecha" class="form-label">Fecha</label>
        <input type="date" class="form-control" id="fecha" name="fecha" value="<?php echo date('Y-m-d'); ?>">
    </div>

    <div class="mb-3">
        <label for="nFactura" class="form-label"># Factura</label>
        <input type="text" class="form-control" id="nFactura" name="nFactura" value="<?php echo $maxNumFactura; ?>" readonly>
    </div>

    <div class="mb-3">
        <label for="idProducto" class="form-label">Producto</label>
        <select class="form-select" id="idProducto" name="idProducto">
            <option selected>Elige...</option>
            <?php
                foreach ($productos as $producto) {       
            ?>
            <option value="<?php echo $producto['id'] ?>"> <?php echo $producto['producto']; ?> </option>
            <?php
                }
            ?>
        </select>
    </div>

    <div class="mb-3">
        <label for="cantidad" class="form-label">Cantidad</label>
        <input type="number" min="0" class="form-control" id="cantidad" name="cantidad">
    </div>

    <button type="submit" class="btn btn-primary">Agregar</button>
</form>
</div>

<?php
    include './footer.php';
?>