<?php
    require '../conection/conection.php';
    include './header.php';

    $sql = "SELECT * FROM productos";
    $query = mysqli_query($conection,$sql);
?>
<div style="padding-left: 10px; padding-top: 10px">

<!-- Button trigger modal -->
<button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#exampleModal">
  Agregar Producto
</button>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
        <div class="modal-header">
            <h1 class="modal-title fs-5" id="exampleModalLabel">Agregar Producto</h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <form action="../controller/agregar_productos.php" method="post">
            <div class="modal-body">
                <div class="mb-3">
                    <label for="producto" class="form-label">Producto</label>
                    <input type="text" class="form-control" id="producto" name="producto" require>
                </div>
                <div class="mb-3">
                    <label for="precioVenta" class="form-label">Precio de Venta</label>
                    <input type="number" step="0.01" min="0" class="form-control" id="precioVenta" name="precioVenta">
                </div>
                <div class="mb-3">
                    <label for="descripcion" class="form-label">Descripción</label>
                    <textarea type="text" class="form-control" id="descripcion" name="descripcion"></textarea> 
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                <button type="submit" class="btn btn-success">Agregar</button>
            </div>
        </form>
        </div>
    </div>
</div>

</div>
<div class="container">
<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Producto</th>
            <th scope="col">Precio de Venta</th>
            <th scope="col">Existencias</th>
            <th scope="col">Descripcion</th>
        </tr>
    </thead>
    <tbody>
    <?php 
        foreach ($query as $producto) {            
    ?>
    <tr>
        <th scope="row"> <?php echo $producto[id]; ?> </th>
        <td> <?php echo $producto[producto]; ?> </td>
        <td> $<?php echo $producto[precio_venta]; ?> </td>
        <td> <?php echo $producto[cantidad_inventario]; ?> </td>
        <td> <?php echo $producto[descripcion]; ?> </td>
        <td><a href="./lista_producto.php?idProducto=<?php echo $producto[id]; ?>">
            <img src="../img/search.png" alt="" width ="25"></td>
        <td><a href="./editar_producto.php?idProducto=<?php echo $producto[id]; ?>">
            <img src="../img/edit.png" alt="" width ="25"></td>
        <td><a href="../controller/eliminar_producto.php?idProducto=<?php echo $producto[id]; ?>">
            <img src="../img/delete.png" alt="" width ="25"></td>
    </tr>
    <?php
        }
    ?>
    </tbody>
</table>
</div>
<?php
    include './footer.php';
?>